<mat-card *ngIf="bus!==undefined">
  <h2 style="color:#3d60b9; margin-left: 40%; display: inline-block">
    <mat-icon>directions_bus</mat-icon>
    Bus {{bus.nom}}</h2>
  <button (click)="showEdit=true" color="primary" mat-raised-button style="float: right">
    <mat-icon>edit</mat-icon>
    Éditer
  </button>
  <button class="marginButton" (click)="exportCsvSingleBus()" color="primary" mat-raised-button style="float: right">
    <mat-icon>arrow_downward</mat-icon>
    Télécharger liste bizuths
  </button>
  <div *ngIf="showEdit">
    <app-bus-edit (out)="apply($event)" [bus]="bus">
      <button (click)="showEdit=false" mat-raised-button>Annuler</button>
    </app-bus-edit>

  </div>
  <p>{{bus.places_occupees}} places occupées sur {{bus.places}}. Il reste {{bus.places_restantes}} places.</p>
  <div *ngIf="bizuths!==undefined">
    <h3>Liste des personnes dans ce bus</h3>
    <mat-list style="margin-left: 2rem">
      <mat-list-item *ngFor="let bizuth of bizuths">
        {{bizuth.member.first_name}} {{bizuth.member.last_name}} &nbsp; &nbsp;
        <button mat-raised-button routerLink="/wei/bizuth/{{bizuth.member.id}}">Fiche Wei</button>
      </mat-list-item>
    </mat-list>
  </div>
</mat-card>
